### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartns550_l.c File Reference

## Detailed Description

This file contains low-level driver functions that can be used to access the device. The user should refer to the hardware device specification for more details of the device operation.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00b jhl  04/24/02 First release
     1.11a sv   03/20/07 Updated to use the new coding guidelines.

## Functions

void | XUartNs550_SendByte (u32 BaseAddress, u8 Data)
u8 | XUartNs550_RecvByte (u32 BaseAddress)
void | XUartNs550_SetBaud (u32 BaseAddress, u32 InputClockHz, u32 BaudRate)

## Function Documentation

u8 XUartNs550_RecvByte | ( | u32 | BaseAddress | ) |

This function receives a byte from the UART. It operates in a polling mode and blocks until a byte of data is received.

Parameters:

  | BaseAddress | contains the base address of the UART.

Returns:
  The data byte received by the UART.

Note:
  None.

void XUartNs550_SendByte | ( | u32 | BaseAddress,
|  | u8 | Data
| ) |

This function sends a data byte with the UART. This function operates in the polling mode and blocks until the data has been put into the UART transmit holding register.

Parameters:

  | BaseAddress | contains the base address of the UART.
  | Data | contains the data byte to be sent.

Returns:
  None.

Note:
  None.

void XUartNs550_SetBaud | ( | u32 | BaseAddress,
|  | u32 | InputClockHz,
|  | u32 | BaudRate
| ) |

Set the baud rate for the UART.

Parameters:

  | BaseAddress | contains the base address of the UART.
  | InputClockHz | is the frequency of the input clock to the device in Hertz.
  | BaudRate | is the baud rate to be set.

Returns:
  None.

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.